Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf
Interface Bus

All Superinterfaces:
  InterceptorProvider

    public interface Bus

extends InterceptorProvider

The Bus is the central place in CXF. Its primary responsibility is providing access to the different extensions (such as the DestinationFactoryManager, ConduitFactoryManager, BindingFactoryManager, etc). Depending on the implementation of the Bus it may also be responsible for wiring up the CXF internals.

Field Summary
`static java.lang.String` | `DEFAULT_BUS_ID`

Method Summary
`
`<T> T`
` | `getExtension(java.lang.Class<T> extensionType)`
`java.lang.String` | `getId()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String s)`
`void` | `run()`
`
`<T> void`
` | `setExtension(T extension, java.lang.Class<T> extensionType)`
`void` | `setProperty(java.lang.String s, java.lang.Object o)`
`void` | `shutdown(boolean wait)`

Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider
`getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

Field Detail

### DEFAULT_BUS_ID

    static final java.lang.String DEFAULT_BUS_ID

See Also:
  Constant Field Values

Method Detail

### getExtension

    <T> T getExtension(java.lang.Class<T> extensionType)

### setExtension

    <T> void setExtension(T extension,
                          java.lang.Class<T> extensionType)

### getId

    java.lang.String getId()

### shutdown

    void shutdown(boolean wait)

### run

    void run()

### setProperty

    void setProperty(java.lang.String s,
                     java.lang.Object o)

### getProperty

    java.lang.Object getProperty(java.lang.String s)

### getProperties

    java.util.Map<java.lang.String,java.lang.Object> getProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF